<template>
  <div id="app">
    <el-header>
      <el-menu :default-active="this.$route.path" class="tabmenu" mode="horizontal" router
        @select="handleSelect">
        <el-menu-item index="/">IDNMon</el-menu-item>
        <el-menu-item index="/languageDetec">Language detection</el-menu-item>
        <el-menu-item index="/homograph">Homograph IDN discovery</el-menu-item>
      </el-menu>
    </el-header>
    <router-view />
  </div>
</template>
<script>
export default {
  data() {
    return {};
  },

  mounted() {},

  methods: {
    handleSelect(key, keyPath) {
      console.log(key, keyPath);
    },
  },
};
</script>
<style lang="less">
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}
.tabmenu {
  li.el-menu-item {
    font-size: 22px;
    padding: 0 30px;
  }
}
</style>
